BlockPlacementPolicyDefault.NodeNotChosenReason (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.blockmanagement, class: BlockPlacementPolicyDefault, enum: NodeNotChosenReason

Package org.apache.hadoop.hdfs.server.blockmanagement

# Enum Class BlockPlacementPolicyDefault.NodeNotChosenReason

java.lang.Object
java.lang.Enum<BlockPlacementPolicyDefault.NodeNotChosenReason>
org.apache.hadoop.hdfs.server.blockmanagement.BlockPlacementPolicyDefault.NodeNotChosenReason

All Implemented Interfaces:
  `Serializable`, `Comparable<BlockPlacementPolicyDefault.NodeNotChosenReason>`, `Constable`

Enclosing class:
  org.apache.hadoop.hdfs.server.blockmanagement.BlockPlacementPolicyDefault

protected static enum BlockPlacementPolicyDefault.NodeNotChosenReason extends Enum<BlockPlacementPolicyDefault.NodeNotChosenReason>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NO_REQUIRED_STORAGE_TYPE`
  `NODE_NOT_CONFORM_TO_UD`
  `NODE_SLOW`
  `NODE_STALE`
  `NODE_TOO_BUSY`
  `NODE_TOO_BUSY_BY_VOLUME`
  `NOT_ENOUGH_STORAGE_SPACE`
  `NOT_IN_SERVICE`
  `TOO_MANY_NODES_ON_RACK`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BlockPlacementPolicyDefault.NodeNotChosenReason`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static BlockPlacementPolicyDefault.NodeNotChosenReason[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NOT_IN_SERVICE

    public static final BlockPlacementPolicyDefault.NodeNotChosenReason NOT_IN_SERVICE

  - ### NODE_STALE

    public static final BlockPlacementPolicyDefault.NodeNotChosenReason NODE_STALE

  - ### NODE_TOO_BUSY

    public static final BlockPlacementPolicyDefault.NodeNotChosenReason NODE_TOO_BUSY

  - ### NODE_TOO_BUSY_BY_VOLUME

    public static final BlockPlacementPolicyDefault.NodeNotChosenReason NODE_TOO_BUSY_BY_VOLUME

  - ### TOO_MANY_NODES_ON_RACK

    public static final BlockPlacementPolicyDefault.NodeNotChosenReason TOO_MANY_NODES_ON_RACK

  - ### NOT_ENOUGH_STORAGE_SPACE

    public static final BlockPlacementPolicyDefault.NodeNotChosenReason NOT_ENOUGH_STORAGE_SPACE

  - ### NO_REQUIRED_STORAGE_TYPE

    public static final BlockPlacementPolicyDefault.NodeNotChosenReason NO_REQUIRED_STORAGE_TYPE

  - ### NODE_SLOW

    public static final BlockPlacementPolicyDefault.NodeNotChosenReason NODE_SLOW

  - ### NODE_NOT_CONFORM_TO_UD

    public static final BlockPlacementPolicyDefault.NodeNotChosenReason NODE_NOT_CONFORM_TO_UD

- ## Method Details

  - ### values

    public static BlockPlacementPolicyDefault.NodeNotChosenReason[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static BlockPlacementPolicyDefault.NodeNotChosenReason valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null